<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
$time=time();

//---------------------- ------------------------------//
if(!isset($action)){
	
	
echo '<img src="../images/img/partners.gif" alt=""> <b><font color="#FFFF00"> Список ожидающих подтверждения регистрации</font></b><br><br>';

$dir = opendir ("../local/profil"); 
while ($file = readdir ($dir)) 
{if (ereg (".prof$", $file)) 
{$a[]=$file;}} 
closedir ($dir); 		
$total = count($a); 


for ($i = 0; $i < $total; $i++){
$tex = file("../local/profil/$a[$i]");
$data = explode(":||:",$tex[0]);

if($data[46]==1 && $data[47]>$time){
$dat_user[]=$data[0];
$dat_data[]=$data[47];
}

if($data[46]==1 && $data[47]<$time){
$dat_deluser[]=$data[0];
}}

$count_delusers=count($dat_deluser);

if($count_delusers>0){
echo '<font color="red">Было удалено аккаунтов не подтвердивших регистрацию: <b>'.$count_delusers.'</b> </font><br>';
echo 'Список: ';
for($i=0; $i<$count_delusers; $i++){
echo $dat_deluser[$i].', ';	

unlink (BASEDIR."local/profil/$dat_deluser[$i].prof");
unlink (BASEDIR."local/privat/$dat_deluser[$i].$config_priv");
}	
echo '<br><hr>';
}
	
arsort($dat_user);	
$count_podusers=count($dat_user);
if($count_podusers>0){
foreach($dat_user as $k=>$v)
{
$gg++;
echo '<img src="../images/img/chel.gif" alt=""> '.$gg.'. <b><a href="../pages/anketa.php?uz='.$dat_user[$k].'&amp;'.SID.'"> '.$dat_user[$k].' </a></b>(Истекает: '.date("d-m-Y H:i:s",$dat_data[$k]).')<br>';
	
if ($dostup==101){
echo '<img src="../images/img/edit.gif" alt="">  <a href="users.php?action=edit&amp;users='.$dat_user[$k].'&amp;'.SID.'">Профиль</a>';
}
echo '<hr>';
}

echo 'Всего ждущих подтверждения: '.(int)$count_podusers.'<br>';
}else{
echo 'Нет юзеров требующих подтверждения регистрации<br>';
}
}
echo '<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?error&".SID);}
} else {header ("Location: ../index.php?error&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
